Page MenuHomeFreeBSD

multimedia/gstreamer1: Update to 1.20.3
ClosedPublic

Authored by riggs on Oct 1 2022, 1:26 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, May 12, 2:08 AM
Unknown Object (File)
Wed, May 8, 8:42 AM
Unknown Object (File)
Sat, May 4, 8:24 PM
Unknown Object (File)
Tue, Apr 30, 2:52 PM
Unknown Object (File)
Mon, Apr 29, 8:54 AM
Unknown Object (File)
Sat, Apr 27, 10:55 AM
Unknown Object (File)
Thu, Apr 25, 7:19 AM
Unknown Object (File)
Apr 22 2024, 9:30 AM

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

riggs requested review of this revision.Oct 1 2022, 1:26 PM
riggs created this revision.

Moin moin

Thank you very much for taking a look at this.

Something general for all the *plugins-* ports:
As these ports .include as Master-Makefile, I would not drop the PORTREVISION but set it explicitely to 0, i.e.

PORTREVISION=0

Updates since previous patch:

  • Set PORTREVISION=0 to the ports including the common Makefile
  • Remove multimedia/gstreamer1-transcoder as transcoding is included in plugins-bad

Open TODOs:

Updates since last patch:

  • Updated pitivi to 2022.06 (builds and installs; no idea whether everything actually works)

Open TODOs:

  • graphics/gstreamer1-plugins-qt/ is broken (C++ / type / macro issues)

I've removed x11-toolkits/gstreamer1-plugins-gtk4 in afbb72cc3a62 to avoid review roundtrips from unrelated style changes (only rebasing files/patch-gtk4 was necessary).

Rebase after the removal of gstreamer1-plugins-gtk4 on head

  • Fixed remaining build problem with multimedia/gstreamer1-qt
  • Rebased to main
This revision was not accepted when it landed; it landed in state Needs Review.Dec 21 2022, 10:55 AM
This revision was automatically updated to reflect the committed changes.